## ros-melodic-wave-gazebo 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wave_gazebo)

# We need erb to process the model erb files.
find_program(ERB_EXE_PATH erb)
if(NOT ERB_EXE_PATH)
  message(FATAL_ERROR "Could not find the `erb` tool.  Try `sudo apt-get install ruby`")
endif()

find_package(catkin REQUIRED COMPONENTS
  xacro
)

catkin_package(
  CATKIN_DEPENDS xacro
)

# Model files to be processed with erb
set (xacro_erb_files
  world_models/ocean_waves/model.xacro.erb
)
# Process the xacro erb files
foreach(_erb ${xacro_erb_files})
  string(REGEX REPLACE ".xacro.erb" ".xacro" _model ${_erb})
  set(_model ${CMAKE_CURRENT_SOURCE_DIR}/${_model})
  add_custom_command(OUTPUT ${_model}
                     COMMAND ${ERB_EXE_PATH} ${_erb} > ${_model}
                     DEPENDS
                       ${CMAKE_CURRENT_SOURCE_DIR}/${_erb}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  list(APPEND model_files ${_model})
endforeach()

install(DIRECTORY world_models/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/world_models)

add_custom_target(model_erb_generation ALL
  DEPENDS
    ${model_files}
)

# Generate world files from xacro and install
xacro_add_files(
  worlds/ocean.world.xacro
  worlds/ocean_buoys.world.xacro
  worlds/ocean_wamv.world.xacro
  INORDER INSTALL DESTINATION worlds
)

=== debian/changelog ===
ros-melodic-wave-gazebo (1.3.0-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-wave-gazebo (1.2.6-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.5-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.4-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.3-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.2-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Thu, 05 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.1-1stretch) stretch; urgency=high

  * remove gazebo version check, scene blend
  * Reduce noise back down
  * Change to have distortion in both refl and refr
  * Add rttNoise parameter to scale distortion in refraction
  * Switch ratio->opacity naming
  * Add back ocean transparency
  * Change to realistic reflection and refraction ratio
  * Simplify by using bumpCoord
  * Working refraction
  * Fix build issues and document enableRtt
  * Simplify flipAcrossY in shader
  * Add flipAcrossY temp fix for camera sensors
  * Increase reflection for easier debugging, rm redundant code, writeContentsToFile
  * Fix model.xacro.erb to match without 2nd plugin and add offset
  * Attempt to merge
  * Namespace tweaks.
  * Move ocean_visual_below slightly to stop interference and wrong colors cutting in/out
  * Add back ocean_waves_below_visual, without Visual Plugin, working as expected
  * Define refl/refr amounts in model.xacro, then use visual plugin to set the parameters
  * Add envReflectRatio and shallowRefractRatio variables
  * Add comments, clean code, pass code check
  * Reduce reflection and refraction amounts to make more subtle effect
  * Integrate reflection with Gerstner waves, working well
  * Fixes for the new topic layout.
  * Show updated render picture
  * Use reflection color
  * Change plane->mesh, still shows correct reflection texture but projected onto the mesh wrong
  * Change mesh->plane and show pure reflection color on it, working well but need to switch back to mesh
  * Add reflection/refraction texture to shaders, but do not use yet
  * Merge
  * merged with master
  * Remove unneeded files
  * Add missing part of Fresnel
  * Remove fresnel and noise effects
  * Refactor C++ code and change shaders to match version 130
  * Copy over files from gazebo_plugin_setup
  * Add changes recommended by Ian
  * Move reflectMap to default params
  * Test hardcoding fragment shader to red, not working
  * Remove random text
  * Small fix (add void)
  * Remove version and add back reflectMap
  * Simplify shaders and texture, still has exception about reflectMap
  * Try to improve plane, no difference
  * Use shaders to show texture
  * Try to use shaders, but not working
  * Comment out shader and most of material (near empty material), in C++ get material and give it a texture, but will not run
  * Contributors: Carlos Aguero, Ian Chen <mailto:ichen@osrfoundation.org>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>

 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 04 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.0-1stretch) stretch; urgency=high

  * Try to change material script to match the newly created texture, did not work
  * Rewrite code to match with rendertotexture tutorial
  * Hide minimap, water constant texture, try get plane to be reflection, shows reflection but wrong geometry
  * Add texture material to water
  * Remove enable/disable refl to fix render issue
  * Change to ogre user camera pos and orient, try but fail shaders
  * Scale plane and mesh to show it
  * Flip plane to be flat, need to next hide the original water
  * Test removing preset shader/texture to see if water will update, will not BIG CHANGES SOON
  * Create new texture unit
  * Change texture name, miniscreen and plane work but not water
  * Try to change ocean to show the texture, did not work yet
  * Change position and angle of camera
  * Add reflection texture empty
  * Remove textures
  * Move ocean visual plane upwards
  * Use gl_ModelViewProjectionMatrix to see colorful ocean
  * Work off ocean model, clean out visual plugin and use new simple material scripts
  * Merged default into topic_namespace_generation
  * fix catkin make install issues with meshes
  * Fix source paths and variable keywords
  * merged with default
  * removed sdf
  * Copy over Fresnel materials files
  * merge default
  * Merged default into Add-Option-To-Hide-Gazebo-Topics
  * Merged in xacro_for_oceanwaves (pull request #153)
    Modiying world definitions in wave_gazebo package to use xacro
    Approved-by: Carlos Agüero <mailto:cen.aguero@gmail.com>
  * Style.
  * Modiying world definitions in wave_gazebo package to use xacro
  * Merged in ocean-wave-xacro (pull request #150)
    Ocean wave xacro
    Approved-by: Marshall Rawson <mailto:marshallrawson@osrfoundation.org>
  * cleaning
  * added spinning out detection
  * incremental
  * removed erb from CMake
  * removed ocean-waves-sdf
  * functional?
  * incremental
  * functional
  * approximate 4x4 dock block as a sphere
  * merge
  * fixed dock inertial issues
  * model.sdf.erb edited online with Bitbucket
  * model.sdf.erb edited online with Bitbucket
  * model.sdf.erb edited online with Bitbucket
  * added <laser_retro>-1 flags to new wave visual links
  * functional
  * Install world_models in wave_gazebo


=== debian/control ===
Source: ros-melodic-wave-gazebo
Section: misc
Priority: optional
Maintainer: Rhys Mainwaring <rhys.mainwaring@me.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-xacro, ruby, ruby-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-wave-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Description: This package contains Gazebo media, models and worlds for simulating water waves and dynamics for surface vessels.
 There are ROS launch scripts that may be used to launch a Gazebo session and load a world and models using `roslaunch`.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-wave-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
